function switchDateTodo(switcher)
{
    if(switcher.checked)
    {
        $('#date').attr('disabled','disabled');
        $('[name^=switchDate]:not(:checked)').click();
    }
    else
    {
        $('#date').removeAttr('disabled');
        $('[name^=switchDate]:checked').click();
    }
}

function loadList(type, id)
{
    if(id)
    {
        divClass = '.nameBox' + id;
        divID    = '#nameBox' + id;
    }
    else
    {
        divClass = '.nameBox';
        divID    = '#nameBox';
    }

    if(type != 'custom')
    {
        var param = 'account=' + v.account;
        if(id) param += '&id=' + id;

        if(type == 'task')
        {
            link = createLink('task', 'ajaxGetTodoList', param);
        }
        else if(type == 'order')
        {
            link = createLink('crm.order', 'ajaxGetTodoList', param);
        }
        else if(type == 'customer')
        {
            link = createLink('crm.customer', 'ajaxGetTodoList', param);
        }

        $(divClass).load(link, function(){$(divClass).find('select').chosen()});
    }
    else
    {
        $(divClass).html($(divID).html());
    }
}

function selectNext()
{
    $("#end ")[0].selectedIndex = $("#begin ")[0].selectedIndex + 3;
}

function switchDateFeature(switcher)
{
    $switcher = $(switcher);
    if(switcher.checked)
    {
        $switcher.parents('form').find('#begin').attr('disabled','disabled');
        $switcher.parents('form').find('#end').attr('disabled','disabled');
    }
    else
    {
        $switcher.parents('form').find('#begin').removeAttr('disabled');
        $switcher.parents('form').find('#end').removeAttr('disabled');
    }
}
